Name:       freshmaker
Version:    0.0.4
Release:    6%{?dist}
Summary:    Freshmaker is a service scheduling rebuilds of artifacts as new content becomes available.

Group:      Development/Tools
License:    MIT
URL:        https://pagure.io/freshmaker
Source0:    https://files.pythonhosted.org/packages/source/o/%{name}/%{name}-%{version}.tar.gz
Patch0:     freshmaker-enum34-requirement.patch

%if 0%{?rhel} && 0%{?rhel} <= 7
# In EL7 we need flask which needs python-itsdangerous which comes from
# rhel7-extras which is only available on x86_64 for now.
ExclusiveArch: %{ix86} x86_64
%else
BuildArch:    noarch
%endif

BuildRequires:    python2-fedmsg
BuildRequires:    help2man

BuildRequires:    python2-devel
BuildRequires:    python2-flask-migrate
BuildRequires:    python2-funcsigs
BuildRequires:    python2-futures
BuildRequires:    python2-pdc-client

%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires:    python-setuptools
BuildRequires:    python-fedora
BuildRequires:    python-flask
BuildRequires:    python-flask-sqlalchemy
BuildRequires:    python-mock
BuildRequires:    python-nose
BuildRequires:    python-psutil
BuildRequires:    pytest
BuildRequires:    pyOpenSSL
BuildRequires:    python-six
BuildRequires:    python-sqlalchemy
BuildRequires:    koji
BuildRequires:    kobo
BuildRequires:    python-enum34
BuildRequires:    python-flask-script
BuildRequires:    python-httplib2
BuildRequires:    python-m2ext
BuildRequires:    python-munch
%else
BuildRequires:    python2-setuptools
BuildRequires:    python2-fedora
BuildRequires:    python2-flask
BuildRequires:    python2-flask-sqlalchemy
BuildRequires:    python2-mock
BuildRequires:    python2-nose
BuildRequires:    python2-psutil
BuildRequires:    python2-pytest
BuildRequires:    python2-pyOpenSSL
BuildRequires:    python2-six
BuildRequires:    python2-sqlalchemy
BuildRequires:    python2-koji
BuildRequires:    python2-kobo
BuildRequires:    python2-enum34
BuildRequires:    python2-flask-script
BuildRequires:    python2-httplib2
BuildRequires:    python2-m2ext
BuildRequires:    python2-munch
%endif

BuildRequires:    systemd
%{?systemd_requires}

Requires:    python2-fedmsg
Requires:    systemd
Requires:    python2-funcsigs
Requires:    python2-futures
Requires:    python2-openidc-client
Requires:    python2-pdc-client

%if 0%{?rhel} && 0%{?rhel} <= 7
Requires:    python-fedora
Requires:    python-flask
Requires:    python-flask-migrate
Requires:    python-flask-sqlalchemy
Requires:    python-mock
Requires:    python-psutil
Requires:    pyOpenSSL
Requires:    python-six
Requires:    python-sqlalchemy
Requires:    koji
Requires:    systemd-python
Requires:    kobo
Requires:    python-enum34
Requires:    python-flask-script
Requires:    python-httplib2
Requires:    python-m2ext
Requires:    python-munch
%else
Requires:    python2-koji
Requires:    python2-fedora
Requires:    python2-flask
Requires:    python2-flask-migrate
Requires:    python2-flask-sqlalchemy
Requires:    python2-mock
Requires:    python2-psutil
Requires:    python2-pyOpenSSL
Requires:    python2-six
Requires:    python2-sqlalchemy
Requires:    python2-systemd
Requires:    python2-kobo
Requires:    python2-enum34
Requires:    python2-flask-script
Requires:    python2-httplib2
Requires:    python2-m2ext
Requires:    python2-munch
%endif

%description
Freshmaker is a service scheduling rebuilds of artifacts as new content becomes available.

%prep
%setup -q

%if 0%{?rhel} && 0%{?rhel} <= 7
%patch0 -p1 -b .enum34
%endif


%build
%py2_build


%install
%py2_install

export PYTHONPATH=%{buildroot}%{python2_sitelib}
mkdir -p %{buildroot}%{_mandir}/man1
for command in freshmaker-manager freshmaker-frontend freshmaker-gencert freshmaker-upgradedb ; do
FRESHMAKER_CONFIG_FILE=conf/config.py help2man -N --version-string=%{version} \
    %{buildroot}%{_bindir}/$command > \
    %{buildroot}%{_mandir}/man1/$command.1
done

install -d -m 0755 %{buildroot}%{_datadir}/freshmaker
install -p -m 0644 contrib/freshmaker.wsgi %{buildroot}%{_datadir}/freshmaker

# %check
# nosetests-%{python2_version} -v


%files
%doc README.md
%license LICENSE
%{python2_sitelib}/freshmaker*
%{_bindir}/freshmaker-*
%{_mandir}/man1/freshmaker-*.1*
%dir %{_sysconfdir}/freshmaker
%{_datadir}/freshmaker
%{_sysconfdir}/fedmsg.d/*
%config(noreplace) %{_sysconfdir}/freshmaker/config.py
%exclude %{_sysconfdir}/freshmaker/*.py[co]
%exclude %{_sysconfdir}/fedmsg.d/*.py[co]
%exclude %{python2_sitelib}/conf/


%changelog
* Thu Mar 01 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.0.4-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jul 04 2017 Qixiang Wan <qwan@redhat.com> - 0.0.4-4
- Initial version of spec file
